// ---------------------------------------------------------------------------
// print_html.h
//
// Printing HTML files without header/footer lines using Microsoft Internet
// Explorer.
// 
// See Q236777 for details (HOWTO: Change Print Settings for Internet
// Explorer and  WebBrowser Control Programmatically).
//
// 19/Aug/2002: Initial version.
// 07/Jan/2003: Prevent parallel printing threads using a semaphore.
// 08/Jan/2003: ATL compatibility; replaced AfxBeginThread with _beginthread.
//
// Tilman Kuepper, kuepper@xgraphic.de
// ---------------------------------------------------------------------------

#ifndef PRINT_HTML_H_Included
#define PRINT_HTML_H_Included

class C_PrintHtml
{
private:
	static CString filename;
	static HANDLE printingResource;

	static void PrintingThread(void* pParam);
	static void ExecIE();
	static void SetHeaderFooter(const CString& header, const CString& footer);
	static void GetHeaderFooter(CString& header, CString& footer);

public:
	C_PrintHtml()
	{
	}

	~C_PrintHtml()
	{
	}

	// Call this function to print html pages...
	void PrintHtml(const CString& filename);
};

#endif
